#!/bin/sh
echo 'name: threads
version: 0.5.0.2
id: threads-0.5.0.2-d9d5e505e23602561d28011c48d8dc49

license: BSD3
copyright: 2010–2012 Bas van Dijk & Roel van Dijk
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
            Roel van Dijk <vandijk.roel@gmail.com>
stability: experimental
homepage: https://github.com/basvandijk/threads
package-url:
synopsis: Fork threads and wait for their result
description: This package provides functions to fork threads and
             wait for their result, whether it'\''s an exception or a
             normal value.
             .
             Besides waiting for the termination of a single thread
             this packages also provides functions to wait for a
             group of threads to terminate.
             .
             This package is similar to the
             @threadmanager@, @async@ and @spawn@ packages.
             The advantages of this package are:
             .
             * Simpler API.
             .
             * More efficient in both space and time.
             .
             * No space-leak when forking a large number of threads.
             .
             * Correct handling of asynchronous exceptions.
             .
             * GHC specific functionality like @forkOn@ and @forkIOWithUnmask@.
category: Concurrency
author: Bas van Dijk <v.dijk.bas@gmail.com>
        Roel van Dijk <vandijk.roel@gmail.com>
exposed: True
exposed-modules: Control.Concurrent.Thread
                 Control.Concurrent.Thread.Group
hidden-modules: Control.Concurrent.Raw
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/threads-0.5.0.2
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/threads-0.5.0.2
              /usr/local/lib
hs-libraries: HSthreads-0.5.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         base-unicode-symbols-0.2.2.4-47de1db137e54c7919bd23c17263184a
         stm-2.4-464c94c0d4d2a3fb7bf1cd1f8648d14d
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/threads-0.5.0.2/html/threads.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/threads-0.5.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
